## plowshare 2.1.2

=== Makefile ===
##
# Plowshare Makefile (requires GNU sed)
# Usage:
# - make PREFIX=/usr/local install
# - make PREFIX=/usr/local DESTDIR=/tmp/packaging install
#
# Important note for OpenBSD, NetBSD and Mac OS X users:
# Be sure to properly define GNU_SED variable (gsed or gnu-sed).
##

# Tools

INSTALL  = install
LN_S     = ln -sf
RM       = rm -f
GNU_SED ?= sed

# Files

MODULE_FILES = $(wildcard src/modules/*.sh) src/modules/config
SRCS      = download.sh upload.sh delete.sh list.sh probe.sh core.sh mod.sh
MANPAGES1 = plowdown.1 plowup.1 plowdel.1 plowlist.1 plowprobe.1 plowmod.1
MANPAGES5 = plowshare.conf.5
DOCS      = README.md docs/plowshare.conf.sample

BASH_COMPL  = scripts/plowshare.completion
GIT_VERSION = scripts/version

# Target path
# DESTDIR is for package creation only

PREFIX ?= /usr
BINDIR  = $(PREFIX)/bin
DATADIR = $(PREFIX)/share/plowshare
DOCDIR  = $(PREFIX)/share/doc/plowshare
MANDIR  = $(PREFIX)/share/man/man

# Rules

install: install_files patch_git_version patch_bash_completion

install_files:
	@! test -d $(DESTDIR)$(DATADIR) || echo "===[Plowshare update]==="
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(DATADIR)
	$(INSTALL) -d $(DESTDIR)$(DATADIR)/modules
	$(INSTALL) -d $(DESTDIR)$(DOCDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)1
	$(INSTALL) -d $(DESTDIR)$(MANDIR)5
	$(INSTALL) -m 644 $(MODULE_FILES) $(DESTDIR)$(DATADIR)/modules
	$(INSTALL) -m 755 $(addprefix src/,$(SRCS)) $(DESTDIR)$(DATADIR)
	$(INSTALL) -m 644 $(addprefix docs/,$(MANPAGES1)) $(DESTDIR)$(MANDIR)1
	$(INSTALL) -m 644 $(addprefix docs/,$(MANPAGES5)) $(DESTDIR)$(MANDIR)5
	$(INSTALL) -m 644 $(DOCS) $(DESTDIR)$(DOCDIR)
	$(LN_S) $(DATADIR)/download.sh $(DESTDIR)$(BINDIR)/plowdown
	$(LN_S) $(DATADIR)/upload.sh   $(DESTDIR)$(BINDIR)/plowup
	$(LN_S) $(DATADIR)/delete.sh   $(DESTDIR)$(BINDIR)/plowdel
	$(LN_S) $(DATADIR)/list.sh     $(DESTDIR)$(BINDIR)/plowlist
	$(LN_S) $(DATADIR)/probe.sh    $(DESTDIR)$(BINDIR)/plowprobe
	$(LN_S) $(DATADIR)/mod.sh      $(DESTDIR)$(BINDIR)/plowmod

uninstall:
	@$(RM) $(DESTDIR)$(BINDIR)/plowdown
	@$(RM) $(DESTDIR)$(BINDIR)/plowup
	@$(RM) $(DESTDIR)$(BINDIR)/plowdel
	@$(RM) $(DESTDIR)$(BINDIR)/plowlist
	@$(RM) $(DESTDIR)$(BINDIR)/plowprobe
	@$(RM) $(DESTDIR)$(BINDIR)/plowmod
	@rm -rf $(DESTDIR)$(DATADIR) $(DESTDIR)$(DOCDIR)
	@$(RM) $(addprefix $(DESTDIR)$(MANDIR)1/, $(MANPAGES1))
	@$(RM) $(addprefix $(DESTDIR)$(MANDIR)5/, $(MANPAGES5))
	@$(RM) $(addprefix $(DESTDIR)$(PREFIX)/share/bash-completion/completions/, $(MANPAGES1:%.1=%))

patch_git_version: install_files
	@v=`$(GIT_VERSION)` && \
	for file in $(SRCS); do \
		$(GNU_SED) -i -e 's/^\(declare -r VERSION=\).*/\1'"'$$v'"'/' $(DESTDIR)$(DATADIR)/$$file; \
	done

patch_bash_completion: install_files
	@$(INSTALL) -d $(DESTDIR)$(PREFIX)/share/bash-completion/completions
	@$(GNU_SED) -e '/cut/s,/usr/local/share/plowshare,$(DATADIR),' $(BASH_COMPL) > $(DESTDIR)$(PREFIX)/share/bash-completion/completions/plowdown
	@cd $(DESTDIR)$(PREFIX)/share/bash-completion/completions && $(LN_S) plowdown plowup
	@cd $(DESTDIR)$(PREFIX)/share/bash-completion/completions && $(LN_S) plowdown plowdel
	@cd $(DESTDIR)$(PREFIX)/share/bash-completion/completions && $(LN_S) plowdown plowlist
	@cd $(DESTDIR)$(PREFIX)/share/bash-completion/completions && $(LN_S) plowdown plowprobe

# Note: sed append syntax is not BSD friendly!
patch_gnused: install_files
	@for file in $(SRCS); do \
		$(GNU_SED) -i -e '/\/licenses\/>/ashopt -s expand_aliases; alias sed='\''$(GNU_SED)'\' "$(DESTDIR)$(DATADIR)/$$file"; \
	done

.PHONY: install uninstall install_files patch_git_version patch_bash_completion patch_gnused

=== debian/changelog ===
plowshare (2.1.2-1) unstable; urgency=medium

  * New upstream releases.
    - debian/NEWS: note support for user modules.
    - debian/NEWS, debian/README: note the new plowmod tool.
    - debian/rules: install new upstream changelog.
    - debian/plowshare.links, debian/plowshare.manpages: add plowmod.
    - debian/plowshare.docs: README -> README.md.
    - debian/control: suggest git for use with plowmod.

  * debian/gbp.conf, debian/get-version, debian/rules:
    - Remove dependency on git history from the build process.

  * debian/control:
    - Change capitalisation of short description.

  * debian/plowshare.completion, debian/rules:
    - Install completion for each command.

  * debian/plowshare.links, debian/plowshare.manpages: sort alphabetically.

  * debian/plowshare.install:
    - No longer install dummy module config file (Closes: #801815).

  * debian/rules:
    - Trap errors in shell script loops.

  * debian/gbp.conf, debian/patches/*, debian/source/local-options:
    - Re-export patches using gbp pq without changes and adapt config.

  * debian/patches/02-src-spelling.patch:
    - Fix some typos in upstream manpages.

 -- Carl Suster <carl@contraflo.ws>  Wed, 14 Oct 2015 15:33:28 +0200

plowshare (2.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Removed patches applied upstream (Closes: #780311)

  * Upload to unstable

  * The modules are now split into a separate package plowshare-modules
    - Upstream no longer officially maintains the modules
    - Now just the framework lives in this package
    - Remove the modules which now live in the new package plowshare-modules
    - debian/copyright: remove references to removed files
    - debian/copyright: new upstream location
    - debian/upstream/metadata: new upstream location
    - debian/watch: new upstream location
    - debian/control: new upstream homepage
    - debian/control: explain the separation of code in the description
    - debian/control: recommend the new modules package
    - debian/NEWS: announce the restructuring

  * Rename plowshare4 -> plowshare source and binary to reflect new name
    - debian/control: transitional package to handle the rename
    - debian/copyright: update upstream name

  * debian/rules:
    - Use new bash completion path (Closes: #798806)

 -- Carl Suster <carl@contraflo.ws>  Sat, 26 Sep 2015 14:32:31 +0200

plowshare4 (1.0.5-2) unstable; urgency=high

  * Disable javascript support (Closes: #791467)

 -- Carl Suster <carl@contraflo.ws>  Tue, 14 Jul 2015 18:45:22 +1000

plowshare4 (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * spelling.patch:
    - Corrects some new spelling errors
  * shellcheck.patch:
    - Addresses some warnings from shellcheck
  * debian/supported_sites:
    - Outputs list of sites for copying into debian/control
  * debian/copyright:
    - Update packaging and default copyright to include 2015
  * debian/control:
    - List supported sites using above script rather than manually
    - Update long description to highlight existing features

 -- Carl Suster <carl@contraflo.ws>  Sat, 24 Jan 2015 20:00:00 +1100

plowshare4 (1.0.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6, no changes.
  * Point Vcs-Git field to the correct branch.
  * Improve the derivation of the version string from git.
  * Update list of supported modules.
  * Remove Depends: bash (bash >=4.1 is present and essential in debian).
  * Add watch file using fakeupstream.cgi script.
  * spelling_comments.patch: corrects typos in comments
  * spelling_helpfull_flag.patch: corrects typo in CLI option.
  * utf8.patch: repairs an encoding issue.
  * Add upstream metadata.

 -- Carl Suster <carl@contraflo.ws>  Mon, 27 Oct 2014 21:52:42 +1100

plowshare4 (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * fix-man-page-typos.patch now fixed in upstream.
  * Drop Replaces: plowshare since it was never in the archive.
  * Drop Conflicts: plowshare3 since it was never in the archive.
  * Add Recommends: sxiv as an alternative X image viewer.
  * Add Suggests: fbi as a framebuffer viewer.
  * Remove executable permission on module files.

 -- Carl Suster <carl@contraflo.ws>  Sun, 31 Aug 2014 18:53:00 +1000

plowshare4 (1.0.4-1) unstable; urgency=low

  * Initial release. (Closes: #599924)

 -- Carl Suster <carl@contraflo.ws>  Sat, 26 Jul 2014 16:38:56 +1000

=== debian/control ===
Source: plowshare
Section: web
Priority: optional
Maintainer: Carl Suster <carl@contraflo.ws>
Build-Depends:
 bash-completion,
 debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/mcrapet/plowshare
Vcs-Git: git://github.com/arcresu/plowshare-debian.git -b debian/unstable
Vcs-Browser: https://github.com/arcresu/plowshare-debian

Package: plowshare
Architecture: all
Replaces: plowshare4 (<< 2.0.1~)
Breaks: plowshare4 (<< 2.0.1~)
Depends:
 curl (>=7.24),
 recode | libhtml-parser-perl,
 ${misc:Depends}
Recommends:
 plowshare-modules,
 qiv | feh | sxiv | imagemagick
Suggests:
 aview | caca-utils,
 fbi,
 git
Description: download and upload files from file sharing websites
 Plowshare is a framework for interacting with file sharing websites,
 providing an API to perform tasks like uploading and downloading files,
 and displaying CAPTCHAs to solve or sending them to CAPTCHA web services.
 .
 This package does not contain any of the drivers (called 'modules') for
 specific file sharing websites.

Package: plowshare4
Priority: extra
Section: oldlibs
Architecture: all
Depends:
 plowshare,
 ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_UPSTREAM_VERSION ?= $(shell dpkg-parsechangelog \
                          | sed -rne 's/^Version: ([0-9.]+)[-+].*$$/\1/p')

%:
	dh $@ --with bash-completion

override_dh_fixperms:
	dh_fixperms
	chmod a+x debian/plowshare/usr/share/plowshare/core.sh

override_dh_bash-completion:
	dh_bash-completion
	set -e; \
	for f in debian/plowshare/usr/share/bash-completion/completions/plow*; do \
		sed -i -e '/cut/ s,/usr/local,/usr,' "$$f"; \
	done

override_dh_install:
	dh_install
	set -e; \
	v=$(DEB_UPSTREAM_VERSION) && \
		for file in debian/plowshare/usr/share/plowshare/*.sh; do \
			sed -i -e 's/^\(declare -r VERSION=\).*/\1'"'v$$v'"'/' "$$file"; \
		done

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_build override_dh_auto_install:

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/plowshare4-$1\.tar\.gz/ \
  https://github.com/mcrapet/plowshare/releases .*/v?(\d\S*)\.tar\.gz

## plowshare 2.1.5

=== debian/changelog ===
plowshare (2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - use the new upstream shell script 'minifier' (a simple sed script).
  * debian/control:
    - bump standards version to 3.9.8 - no changes needed.

 -- Carl Suster <carl@contraflo.ws>  Wed, 22 Jun 2016 12:07:23 +1000

plowshare (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - slightly improve the long description.
    - bump to standards version 3.9.7 - no changes needed.
    - update Vcs-Git to use HTTPS.
  * debian/copyright: update copyright years to reflect upstream.
  * debian/patches/*:
    - refresh patches.
    - drop 02-src-spelling.patch - applied upstream.
  * Minor packaging workflow update:
    - debian/get-version: update to use gbp branch layout.
    - debian/gbp.conf: use a separate build directory.
    - debian/source/local-options: no longer need to unapply patches.

 -- Carl Suster <carl@contraflo.ws>  Wed, 13 Apr 2016 17:08:19 +1000

## plowshare 2.1.6

=== debian/changelog ===
plowshare (2.1.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Carl Suster <carl@contraflo.ws>  Sun, 01 Jan 2017 13:28:18 +1100

plowshare (2.1.6-1) unstable; urgency=medium

  * New upstream release.
  * patches/01-disable-javascipt:
    - allow javascript to be enabled again by setting an environment variable.

 -- Carl Suster <carl@contraflo.ws>  Fri, 09 Dec 2016 11:47:02 +1100

plowshare (2.1.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Carl Suster <carl@contraflo.ws>  Thu, 30 Jun 2016 10:16:53 +1000

plowshare (2.1.3-1~bpo8+1) jessie-backports; urgency=medium

  * Repackage for jessie-backports.

 -- Carl Suster <carl@contraflo.ws>  Wed, 20 Apr 2016 18:17:39 +1000

plowshare (2.1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Backport from testing.
  * Remove references to the optional plowshare-modules package and
    relies on plowshare's built in utility plowmod:
    - debian/NEWS and debian/README: update text accordingly.
    - debian/control: remove Recommends: plowshare-modules.
    - debian/gbp.conf and debian/control: update VCS branch.
  * debian/rules: change completions path back to that expected in jessie.

 -- Carl Suster <carl@contraflo.ws>  Thu, 24 Mar 2016 14:59:42 +1100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends:
  bash-completion,
  debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/mcrapet/plowshare
-Vcs-Git: git://github.com/arcresu/plowshare-debian.git -b debian/unstable
+Vcs-Git: https://github.com/arcresu/plowshare-debian.git -b debian/jessie-backports
 Vcs-Browser: https://github.com/arcresu/plowshare-debian
 
 Package: plowshare
@@ -19,7 +19,6 @@
  recode | libhtml-parser-perl,
  ${misc:Depends}
 Recommends:
- plowshare-modules,
  qiv | feh | sxiv | imagemagick
 Suggests:
  aview | caca-utils,
@@ -30,8 +29,9 @@
  providing an API to perform tasks like uploading and downloading files,
  and displaying CAPTCHAs to solve or sending them to CAPTCHA web services.
  .
- This package does not contain any of the drivers (called 'modules') for
- specific file sharing websites.
+ This package contains the framework and command line tolls, but does not
+ contain any of the drivers (called 'modules') for specific file sharing
+ websites.
 
 Package: plowshare4
 Priority: extra

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 override_dh_bash-completion:
 	dh_bash-completion
 	set -e; \
-	for f in debian/plowshare/usr/share/bash-completion/completions/plow*; do \
+	for f in debian/plowshare/etc/bash_completion.d/plow*; do \
 		sed -i -e '/cut/ s,/usr/local,/usr,' "$$f"; \
 	done
 
@@ -26,6 +26,7 @@
 	v=$(DEB_UPSTREAM_VERSION) && \
 		for file in debian/plowshare/usr/share/plowshare/*.sh; do \
 			sed -i -e 's/^\(declare -r VERSION=\).*/\1'"'v$$v'"'/' "$$file"; \
+			sed -i -n -f scripts/minify.sed "$$file"; \
 		done
 
 override_dh_installchangelogs:

## plowshare 2.1.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 ##
-# Plowshare Makefile (requires GNU sed)
+# Plowshare Makefile
 # Usage:
 # - make PREFIX=/usr/local install
 # - make PREFIX=/usr/local DESTDIR=/tmp/packaging install
 #
-# Important note for OpenBSD, NetBSD and Mac OS X users:
-# Be sure to properly define GNU_SED variable (gsed or gnu-sed).
+# Important notes for OpenBSD, NetBSD and Mac OS X users:
+# - GNU make is required (for installation only), bmake does not support "addprefix" and "wildcard".
+# - GNU sed is required, be sure to properly define GNU_SED variable (gsed or gnu-sed)
 ##
 
 # Tools
@@ -91,4 +92,10 @@
 		$(GNU_SED) -i -e '/\/licenses\/>/ashopt -s expand_aliases; alias sed='\''$(GNU_SED)'\' "$(DESTDIR)$(DATADIR)/$$file"; \
 	done
 
-.PHONY: install uninstall install_files patch_git_version patch_bash_completion patch_gnused
+# Shrink scripts by ~30%
+minify: install_files
+	@for file in $(SRCS); do \
+		$(GNU_SED) -nf scripts/minify.sed -i "$(DESTDIR)$(DATADIR)/$$file"; \
+	done
+
+.PHONY: install uninstall install_files patch_git_version patch_bash_completion patch_gnused minify

=== debian/changelog ===
plowshare (2.1.7-4) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat
  * Drop the transitional plowshare4 package and associated Break/Replace
    (Closes: #940756).
  * Update Standards-Version to 4.4.1 (no changes).
  * Remove the default module URL (Closes: #927841).
  * Disable source minification script.

 -- Carl Suster <carl@contraflo.ws>  Tue, 12 Nov 2019 22:35:35 +1100

plowshare (2.1.7-3) unstable; urgency=medium

  * Assist with re-enabling javascript support (Closes: #909655)
    - Suggest rhino as JS interpreter.
    - Add a section to README.Debian explaining how to configure JS.
  * Rename debian/README => debian/README.Debian so it's installed properly.
  * Remove references to the defunct plowshare-modules package.
  * Update Standards-Version to 4.3.0 (no changes).

 -- Carl Suster <carl@contraflo.ws>  Sat, 20 Apr 2019 15:36:52 +1000

plowshare (2.1.7-2) unstable; urgency=medium

  * Update VCS to point to Salsa.
  * Correct typo in patch description.
  * Update debhelper compat to 11 (no changes).
  * Update to standards version 4.2.0:
    - use HTTPS URL in changelog.
  * Set Rules-Requires-Root to no.
  * De-emphasise plowshare-modules in favour of plowmod:
    - drop from Recommends to Suggests and
    - promote git from Suggests to Recommends since the plowmod script
      that replaces the modules package requires git.

 -- Carl Suster <carl@contraflo.ws>  Tue, 14 Aug 2018 10:54:27 +1000

plowshare (2.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump upstream and debian/* copyright year.
  * Change VCS from GitHub to GitLab.
  * Bump standards version to 4.1.1, no changes.
  * Switch gbp config for sbuild.
  * Remove Priority: extra from the transitional package.
  * Include pkg-info.mk instead of parsing changelog to get upstream version.

 -- Carl Suster <carl@contraflo.ws>  Fri, 24 Nov 2017 16:53:50 +1100

=== debian/control ===
Source: plowshare
Section: web
Priority: optional
Maintainer: Carl Suster <carl@contraflo.ws>
Build-Depends:
 bash-completion,
 debhelper-compat (= 11)
Standards-Version: 4.4.1
Homepage: https://github.com/mcrapet/plowshare
Vcs-Git: https://salsa.debian.org/arcresu-guest/plowshare.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/arcresu-guest/plowshare
Rules-Requires-Root: no

Package: plowshare
Architecture: all
Depends:
 curl (>=7.24),
 recode | libhtml-parser-perl,
 ${misc:Depends}
Recommends:
 git,
 qiv | feh | sxiv | imagemagick
Suggests:
 aview | caca-utils,
 fbi,
 rhino,
Description: download and upload files from file sharing websites
 Plowshare is a framework for interacting with file sharing websites,
 providing an API to perform tasks like uploading and downloading files,
 and displaying CAPTCHAs to solve or sending them to CAPTCHA web services.
 .
 This package contains the framework and command line tolls, but does not
 contain any of the drivers (called 'modules') for specific file sharing
 websites.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with bash-completion

override_dh_fixperms:
	dh_fixperms
	chmod a+x debian/plowshare/usr/share/plowshare/core.sh

override_dh_bash-completion:
	dh_bash-completion
	set -e; \
	for f in debian/plowshare/usr/share/bash-completion/completions/plow*; do \
		sed -i -e '/cut/ s,/usr/local,/usr,' "$$f"; \
	done

override_dh_install:
	dh_install
	set -e; \
	v=$(DEB_VERSION_UPSTREAM) && \
		for file in debian/plowshare/usr/share/plowshare/*.sh; do \
			sed -i -e 's/^\(declare -r VERSION=\).*/\1'"'v$$v'"'/' "$$file"; \
		done

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_build override_dh_auto_install:
